.\" Copyright 1993 David Metcalfe (david@prism.demon.co.uk)
.\"
.\" Permission is granted to make and distribute verbatim copies of this
.\" manual provided the copyright notice and this permission notice are
.\" preserved on all copies.
.\"
.\" Permission is granted to copy and distribute modified versions of this
.\" manual under the conditions for verbatim copying, provided that the
.\" entire resulting derived work is distributed under the terms of a
.\" permission notice identical to this one
.\" 
.\" Since the Linux kernel and libraries are constantly changing, this
.\" manual page may be incorrect or out-of-date.  The author(s) assume no
.\" responsibility for errors or omissions, or for damages resulting from
.\" the use of the information contained herein.  The author(s) may not
.\" have taken the same level of care in the production of this manual,
.\" which is licensed free of charge, as they might when working
.\" professionally.
.\" 
.\" Formatted or processed versions of this manual, if unaccompanied by
.\" the source, must acknowledge the copyright and authors of this work.
.\"
.\" References consulted:
.\"     Linux libc source code
.\"     Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991)
.\"     386BSD man pages
.\" Modified Sat Jul 24 19:08:17 1993 by Rik Faith (faith@cs.unc.edu)
.TH J0 3  "June 26, 1993" "" "Linux Programmer's Manual"
.SH NAME
j0, j1, jn, y0, y1, yn \- Bessel functions
.SH SYNOPSIS
.nf
.B #include <math.h>
.sp
.BI "double j0(double " x );
.sp
.BI "double j1(double " x );
.sp
.BI "double jn(int " n ", double " x );
.sp
.BI "double y0(double " x );
.sp
.BI "double y1(double " x );
.sp
.BI "double yn(int " n ", double " x );
.fi
.SH DESCRIPTION
The \fBj0()\fP and \fBj1()\fP functions return Bessel functions of \fIx\fP
of the first kind of orders 0 and 1, respectively.  The \fBjn()\fP function
returns the Bessel function of \fIx\fP of the first kind of order \fIn\fP.
.PP
The \fBy0()\fP and \fBy1()\fP functions return Bessel functions of \fIx\fP
of the second kind of orders 0 and 1, respectively.  The \fByn()\fP function
returns the Bessel function of \fIx\fP of the second kind of order \fIn\fP.
.PP
For the functions \fBy0()\fP, \fBy1()\fP and \fByn()\fP, the value of \fIx\fP
must be positive.  For negative values of \fIx\fP, these functions return
\-HUGE_VAL.
.SH "CONFORMING TO"
SVID 3, BSD 4.3
.SH BUGS
There are errors of up to 2e\-16 in the values returned by \fBj0()\fP,
\fBj1()\fP and \fBjn()\fP for values of \fIx\fP between \-8 and 8.
